<?php

/**
*
* @package Module
* @subpackage IncludeArticle
* @version SVN Revision $Rev:$
*
* @author info@tone2tone.com
* @copyright TONE2TONE e.K., Viktor Lehmann
* @link http://www.tone2tone.com
*/

#Get current settings
$containerid = "CMS_VALUE[4]";
$cms_idcat   = "CMS_VALUE[1]";
$cms_idart   = "CMS_VALUE[2]";
$template    = "CMS_VALUE[20]";

// Prepare module info. Needed later to check if defined default smarty template is a real file 
$mod = new cApiModule($cCurrentModule);
$tplpath = $cfgClient[$client]["path"]["frontend"]."data/modules/".$mod->get("alias")."/template/";

$article = new cApiArticleLanguage();
$article->loadByArticleAndLanguageId($cms_idart, $lang);
$redirect_url = $article->getField('redirect_url'); // liefert den artikel-redirect, macht die Sache einfacher

// Read CMS_IMG[1]. Other numbers need adapted numbers in next line or doubled code.

$imageSource = $article->getContent('CMS_IMGEDITOR', 1);
$img = new cApiUpload();
$img->loadByPrimaryKey($imageSource);
$imageSource = "upload/".$img->get("dirname").$img->get("filename");

if (0 < strlen($imageSource)) {
	
	$clientConfig = cRegistry::getClientConfig(cRegistry::getClientId());
	$filename = str_replace($clientConfig["upl"]["htmlpath"], $clientConfig["upl"]["path"], $imageSource);
	list($imageWidth, $imageHeight) = getimagesize($filename);
	$image = new stdClass();
	$image->path = $imageSource;
	$image->src = $imageSource;
	$image->alt = $imageDescription;
	$image->width = $imageWidth;
	$image->height = $imageHeight;
	
} else {
	
	$image = NULL;
	
}

// Read CMS_DATE[1]. Other numbers need adapted numbers in next line or doubled code.

$dom = new domDocument;
$dom->loadXML($article->getContent('CMS_DATE', 1));
$xml = simplexml_import_dom($dom);
$date_Ymd  = date('d.m.Y',  (int)$xml->timestamp);
$date_His  = date('H:i:s',  (int)$xml->timestamp);	

// Read CMS_LINK. First Link starts with internal number 500, next is 501 ...
$linkpool = array();
$linkpool[1]["link"] = stripslashes($article->getContentViewCode('CMS_LINKEDITOR', 500));
$linkpool[1]["description"] = $article->getContent('CMS_HTML', 500);

// use smarty template to output header text
$tpl = cSmartyFrontend::getInstance();
$tpl->assign('containerid', $containerid);
$tpl->assign('headline01', strip_tags($article->getContent('CMS_HTMLHEAD', 1)));
$tpl->assign('headline02', $article->getContent('CMS_HTMLHEAD', 2));
$tpl->assign('headline03', $article->getContent('CMS_HTMLHEAD', 3));
$tpl->assign('text01', $article->getContent('CMS_HTML', 1));
$tpl->assign('text02', $article->getContent('CMS_HTML', 2));
$tpl->assign('text03', $article->getContent('CMS_HTML', 3));
$tpl->assign('text04', $article->getContent('CMS_HTML', 4));
$tpl->assign('text05', $article->getContent('CMS_HTML', 5));
$tpl->assign('img01', $image);
$tpl->assign('date_Ymd', $date_Ymd);
$tpl->assign('date_His', $date_His);
$tpl->assign('redirect_url', $redirect_url);
$tpl->assign('linkpool', $linkpool);

if ( $template != "" ) {
	
	$tpl->display($template);
}


?>
